Package org.springframework.security.web.webauthn.api

# Class AuthenticatorSelectionCriteria

java.lang.Object
org.springframework.security.web.webauthn.api.AuthenticatorSelectionCriteria

public final class AuthenticatorSelectionCriteria extends Object
AuthenticatorAttachment can be used by WebAuthn Relying Parties to specify their requirements regarding authenticator attributes. There is no requireResidentKey property because it is only for backwards compatibility with WebAuthn Level 1.

Since:
  6.4
See Also:
  - `PublicKeyCredentialCreationOptions.getAuthenticatorSelection()`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder`
Creates a `AuthenticatorSelectionCriteria`

## Method Summary

Modifier and Type
Method
Description
`static AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder`
`builder()`
Creates a new `AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder`
`AuthenticatorAttachment`
`getAuthenticatorAttachment()`
If authenticatorAttachment is present, eligible authenticators are filtered to be only those authenticators attached with the specified authenticator attachment modality (see also 6.2.1 Authenticator Attachment Modality).
`ResidentKeyRequirement`
`getResidentKey()`
The residentKey specifies the extent to which the Relying Party desires to create a client-side discoverable credential.
`UserVerificationRequirement`
`getUserVerification()`
The userVerification specifies the Relying Party's requirements regarding user verification for the create() operation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAuthenticatorAttachment

public AuthenticatorAttachment getAuthenticatorAttachment()
If authenticatorAttachment is present, eligible authenticators are filtered to be only those authenticators attached with the specified authenticator attachment modality (see also 6.2.1 Authenticator Attachment Modality).

Returns:
  the authenticator attachment

### getResidentKey

public ResidentKeyRequirement getResidentKey()
The residentKey specifies the extent to which the Relying Party desires to create a client-side discoverable credential.

Returns:
  the resident key requirement

### getUserVerification

public UserVerificationRequirement getUserVerification()
The userVerification specifies the Relying Party's requirements regarding user verification for the create() operation.

Returns:
  the user verification requirement

### builder

public static AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder builder()
Creates a new `AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder`

Returns:
  a new `AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder`